corda / net.corda.core.crypto / AbstractParty

# AbstractParty

`abstract class AbstractParty`

An AbstractParty contains the common elements of Party and AnonymousParty, specifically the owning key of the party. In most cases Party or AnonymousParty should be used, depending on use-case.

### Constructors

<init> | `AbstractParty(owningKey: PublicKey)` A helper constructor that converts the given PublicKey in to a CompositeKey with a single node `AbstractParty(owningKey: CompositeKey)` An AbstractParty contains the common elements of Party and AnonymousParty, specifically the owning key of the party. In most cases Party or AnonymousParty should be used, depending on use-case.

### Properties

owningKey | `val owningKey: CompositeKey`

### Functions

equals | `open fun equals(other: Any?): Boolean` Anonymised parties do not include any detail apart from owning key, so equality is dependent solely on the key
hashCode | `open fun hashCode(): Int`
nameOrNull | `abstract fun nameOrNull(): String?`
ref | `abstract fun ref(bytes: OpaqueBytes): PartyAndReference` `fun ref(vararg bytes: Byte): PartyAndReference`
toAnonymous | `abstract fun toAnonymous(): AnonymousParty`

### Inheritors

AnonymousParty | `class AnonymousParty : AbstractParty` The AnonymousParty class contains enough information to uniquely identify a Party while excluding private information such as name. It is intended to represent a party on the distributed ledger.
Party | `class Party : AbstractParty` The Party class represents an entity on the network, which is typically identified by a legal name and public key that it can sign transactions under. As parties may use multiple keys for signing and, for example, have offline backup keys, the "public key" of a party is represented by a composite construct – a CompositeKey, which combines multiple cryptographic public key primitives into a tree structure.